--[[
Copyright 2010, 2011 William Matthews. All rights reserved.

See LICENSE for license terms.
]]

local CB = select(2,...)
local P = CB.Private

P.EPSILON_TIME = 0.05
P.TIMEOUT_TIME = 2
P.RETRY_TIME = 0.3
P.RETRIES = 3

-- taken "by hand" from Wowhead
P.ENCHANTING_SCROLLS = {
	38972, -- "Scroll of Enchant Weapon - Lifeward"
	38991, -- "Scroll of Enchant Weapon - Exceptional Spellpower"
-- 	38994, -- "Scroll of Enchant Weapon - Exceptional Healing" -- doesn't seem to exist?
	43987, -- "Scroll of Enchant Weapon - Black Magic"
	44467, -- "Scroll of Enchant Weapon - Mighty Spellpower"
	45056, -- "Scroll of Enchant Staff - Greater Spellpower"
	38965, -- "Scroll of Enchant Weapon - Icebreaker"
	38995, -- "Scroll of Enchant Weapon - Exceptional Agility"
	38988, -- "Scroll of Enchant Weapon - Giant Slayer"
	38992, -- "Scroll of Enchant 2H Weapon - Greater Savagery"
	52747, -- "Enchant Weapon - Mending"
--	38958, -- "Scroll of Enchant Weapon - Exceptional Intellect"
	38963, -- "Scroll of Enchant Weapon - Exceptional Spirit"
	38981, -- "Scroll of Enchant 2H Weapon - Scourgebane"
	45060, -- "Scroll of Enchant Staff - Spellpower"
	46026, -- "Scroll of Enchant Weapon - Blade Ward"
	46098, -- "Scroll of Enchant Weapon - Blood Draining"
	44463, -- "Scroll of Enchant 2H Weapon - Massacre"
	44466, -- "Scroll of Enchant Weapon - Superior Potency"
	44493, -- "Scroll of Enchant Weapon - Berserking"
	38923, -- "Scroll of Enchant Weapon - Sunfire"
	38924, -- "Scroll of Enchant Weapon - Soulfrost"
	38925, -- "Scroll of Enchant Weapon - Mongoose"
	38948, -- "Scroll of Enchant Weapon - Executioner"
	38998, -- "Scroll of Enchant Weapon - Deathfrost"
	44497, -- "Scroll of Enchant Weapon - Accuracy"
	38922, -- "Scroll of Enchant 2H Weapon - Major Agility"
	38926, -- "Scroll of Enchant Weapon - Spellsurge"
	38927, -- "Scroll of Enchant Weapon - Battlemaster"
-- 	38957, -- "Scroll of Enchant Weapon - Exceptional Striking"
	44453, -- "Scroll of Enchant Weapon - Greater Potency"
	38884, -- "Scroll of Enchant Weapon - Mighty Intellect"
	38919, -- "Scroll of Enchant 2H Weapon - Savagery"
	38920, -- "Scroll of Enchant Weapon - Potency"
	38921, -- "Scroll of Enchant Weapon - Major Spellpower"
	38946, -- "Scroll of Enchant Weapon - Major Healing"
	38947, -- "Scroll of Enchant Weapon - Greater Agility"
	38917, -- "Scroll of Enchant Weapon - Major Striking"
	38918, -- "Scroll of Enchant Weapon - Major Intellect"
	38883, -- "Scroll of Enchant Weapon - Mighty Spirit"
	38916, -- "Scroll of Enchant Weapon - Major Spirit"
	38871, -- "Scroll of Enchant Weapon - Lifestealing"
	38874, -- "Scroll of Enchant 2H Weapon - Major Spirit"
	38873, -- "Scroll of Enchant Weapon - Crusader"
	38870, -- "Scroll of Enchant Weapon - Superior Striking"
	38875, -- "Scroll of Enchant 2H Weapon - Major Intellect"
	38877, -- "Scroll of Enchant Weapon - Spellpower"
	38878, -- "Scroll of Enchant Weapon - Healing Power"
	38869, -- "Scroll of Enchant 2H Weapon - Superior Impact"
	38872, -- "Scroll of Enchant Weapon - Unholy Weapon"
	38879, -- "Scroll of Enchant Weapon - Strength"
	38880, -- "Scroll of Enchant Weapon - Agility"
	38896, -- "Scroll of Enchant 2H Weapon - Agility"
	38868, -- "Scroll of Enchant Weapon - Icy Chill"
	38838, -- "Scroll of Enchant Weapon - Fiery Weapon"
	38848, -- "Scroll of Enchant Weapon - Greater Striking"
	38845, -- "Scroll of Enchant 2H Weapon - Greater Impact"
	38840, -- "Scroll of Enchant Weapon - Demonslaying"
	38822, -- "Scroll of Enchant 2H Weapon - Impact"
	38821, -- "Scroll of Enchant Weapon - Striking"
	38876, -- "Scroll of Enchant Weapon - Winter\'s Might"
	38813, -- "Scroll of Enchant Weapon - Lesser Beastslayer"
	38814, -- "Scroll of Enchant Weapon - Lesser Elemental Slayer"
	38796, -- "Scroll of Enchant 2H Weapon - Lesser Impact"
	38794, -- "Scroll of Enchant Weapon - Lesser Striking"
	38788, -- "Scroll of Enchant 2H Weapon - Lesser Spirit"
	38772, -- "Scroll of Enchant 2H Weapon - Minor Impact"
	38779, -- "Scroll of Enchant Weapon - Minor Beastslayer"
	38780, -- "Scroll of Enchant Weapon - Minor Striking"
	38781, -- "Scroll of Enchant 2H Weapon - Lesser Intellect"
	38967, -- "Scroll of Enchant Gloves - Major Agility"
-- 	38970, -- "Scroll of Enchant Gloves - Exceptional Healing"
	38978, -- "Scroll of Enchant Cloak - Titanweave"
	38979, -- "Scroll of Enchant Gloves - Exceptional Spellpower"
	38986, -- "Scroll of Enchant Boots - Icewalker"
	38989, -- "Scroll of Enchant Chest - Super Stats"
	38990, -- "Scroll of Enchant Gloves - Armsman"
	38993, -- "Scroll of Enchant Cloak - Shadow Armor"
-- 	38996, -- "Scroll of Enchant Bracers - Major Healing" -- doesn't exist?
	38997, -- "Scroll of Enchant Bracers - Greater Spellpower"
	39003, -- "Scroll of Enchant Cloak - Greater Speed"
	39004, -- "Scroll of Enchant Cloak - Wisdom"
	39005, -- "Scroll of Enchant Chest - Super Health"
	39006, -- "Scroll of Enchant Boots - Tuskarr\'s Vitality"
	44458, -- "Scroll of Enchant Gloves - Crusher"
	38964, -- "Scroll of Enchant Gloves - Greater Assault"
	38984, -- "Scroll of Enchant Bracer - Expertise"
	38975, -- "Scroll of Enchant Chest - Exceptional Resilience"
	38976, -- "Scroll of Enchant Boots - Superior Agility"
-- 	38983, -- "Scroll of Enchant Shield - Mighty Stamina"
	52687, -- "Enchant Gloves - Mastery"
	52743, -- "Enchant Boots - Earthen Vitality"
	52744, -- "Enchant Chest - Mighty Stats"
	52745, -- "Enchant Cloak - Greater Spell Piercing"
	52746, -- "Enchant Bracer - Speed"
	52748, -- "Enchant Weapon - Avalanche"
	52749, -- "Enchant Gloves - Haste"
	52750, -- "Enchant Boots - Haste"
	52751, -- "Enchant Chest - Stamina"
	52752, -- "Enchant Bracer - Critical Strike"
	52753, -- "Enchant Cloak - Intellect"
	52754, -- "Enchant Shield - Protection"
	52755, -- "Enchant Weapon - Elemental Slayer"
	52756, -- "Enchant Gloves - Exceptional Strength"
	52757, -- "Enchant Boots - Major Agility"
	52758, -- "Enchant Chest - Mighty Resilience"
	52759, -- "Enchant Gloves - Greater Expertise"
	52760, -- "Enchant Weapon - Hurricane"
	52761, -- "Enchant Weapon - Heartsong"
	52762, -- "Enchant Shield - Mastery"
	52763, -- "Enchant Bracer - Dodge"
	52764, -- "Enchant Cloak - Critical Strike"
	52765, -- "Enchant Chest - Exceptional Spirit"
	52766, -- "Enchant Bracer - Precision"
	52767, -- "Enchant Cloak - Protection"
	52768, -- "Enchant Off-Hand - Superior Intellect"
	52769, -- "Enchant Boots - Precision"
	52770, -- "Enchant Bracer - Exceptional Spirit"
	52771, -- "Enchant Boots - Mastery"
	52772, -- "Enchant Bracer - Greater Expertise"
	52773, -- "Enchant Cloak - Greater Intellect"
	52774, -- "Enchant Weapon - Power Torrent"
	52775, -- "Enchant Weapon - Windwalk"
	52776, -- "Enchant Weapon - Landslide"
	52777, -- "Enchant Cloak - Greater Critical Strike"
	52778, -- "Enchant Bracer - Greater Critical Strike"
	52779, -- "Enchant Chest - Peerless Stats"
	52780, -- "Enchant Chest - Greater Stamina"
	52781, -- "Enchant Boots - Assassin\'s Step"
	52782, -- "Enchant Boots - Lavawalker"
	52783, -- "Enchant Gloves - Mighty Strength"
	52784, -- "Enchant Gloves - Greater Mastery"
	52785, -- "Enchant Bracer - Greater Speed"
	68134, -- "Enchant 2H Weapon - Mighty Agility"
	38950, -- "Scroll of Enchant Cloak - Superior Frost Resistance"
	38956, -- "Scroll of Enchant Cloak - Superior Nature Resistance"
	38959, -- "Scroll of Enchant Cloak - Superior Agility"
	38969, -- "Scroll of Enchant Cloak - Superior Fire Resistance"
	38977, -- "Scroll of Enchant Cloak - Superior Shadow Resistance"
	38980, -- "Scroll of Enchant Bracers - Major Spirit"
	38982, -- "Scroll of Enchant Cloak - Superior Arcane Resistance"
	38987, -- "Scroll of Enchant Bracers - Greater Stats"
	39002, -- "Scroll of Enchant Chest - Greater Defense"
	44947, -- "Scroll of Enchant Bracer - Major Stamina"
	38955, -- "Scroll of Enchant Chest - Mighty Health"
	38973, -- "Scroll of Enchant Cloak - Spell Piercing"
	44465, -- "Scroll of Enchant Chest - Powerful Stats"
	38953, -- "Scroll of Enchant Gloves - Precision"
	38960, -- "Scroll of Enchant Gloves - Gatherer"
	38962, -- "Scroll of Enchant Chest - Greater Mana Restoration"
	38966, -- "Scroll of Enchant Boots - Greater Fortitude"
	38968, -- "Scroll of Enchant Bracers - Exceptional Intellect"
	39000, -- "Scroll of Enchant Cloak - Steelweave"
	44455, -- "Shield Enchant - Intellect III"
	44456, -- "Scroll of Enchant Cloak - Speed"
	44457, -- "Scroll of Enchant Cloak - Major Agility"
	38910, -- "Scroll of Enchant Boots - Surefooted"
	38951, -- "Scroll of Enchant Gloves - Expertise"
	38974, -- "Scroll of Enchant Boots - Greater Vitality"
	38903, -- "Scroll of Enchant Bracer - Spellpower"
	38907, -- "Scroll of Enchant Shield - Resistance"
	38932, -- "Scroll of Enchant Gloves - Precise Strikes"
	38935, -- "Scroll of Enchant Gloves - Major Spellpower"
	38943, -- "Scroll of Enchant Boots - Cat\'s Swiftness"
	38944, -- "Scroll of Enchant Boots - Boar\'s Speed"
	38999, -- "Scroll of Enchant Chest - Defense"
	44469, -- "Scroll of Enchant Boots - Greater Assault"
	38912, -- "Scroll of Enchant Chest - Exceptional Mana"
	38954, -- "Scroll of Enchant Shield - Defense"
	38961, -- "Scroll of Enchant Boots - Greater Spirit"
	38971, -- "Scroll of Enchant Bracers - Striking"
	39001, -- "Scroll of Enchant Cloak - Mighty Armor"
	44449, -- "Scroll of Enchant Boots - Assault"
	44470, -- "Scroll of Enchant Bracer - Superior Spellpower"
	44815, -- "Scroll of Enchant Bracers - Greater Assault"
	38885, -- "Scroll of Enchant Gloves - Threat"
	38886, -- "Scroll of Enchant Gloves - Shadow Power"
	38887, -- "Scroll of Enchant Gloves - Frost Power"
	38888, -- "Scroll of Enchant Gloves - Fire Power"
	38889, -- "Scroll of Enchant Gloves - Healing Power"
	38890, -- "Scroll of Enchant Gloves - Superior Agility"
	38891, -- "Scroll of Enchant Cloak - Greater Fire Resistance"
	38892, -- "Scroll of Enchant Cloak - Greater Nature Resistance"
	38893, -- "Scroll of Enchant Cloak - Stealth"
	38894, -- "Scroll of Enchant Cloak - Subtlety"
	38895, -- "Scroll of Enchant Cloak - Dodge"
	38902, -- "Scroll of Enchant Bracer - Fortitude"
	38936, -- "Scroll of Enchant Gloves - Major Healing"
	38941, -- "Scroll of Enchant Cloak - Greater Arcane Resistance"
	38942, -- "Scroll of Enchant Cloak - Greater Shadow Resistance"
	50816, -- "Scroll of Enchant Gloves - Angler"
	38913, -- "Scroll of Enchant Chest - Exceptional Stats"
	38930, -- "Scroll of Enchant Chest - Major Resilience"
	37603, -- "Scroll of Enchant Boots - Dexterity"
	38906, -- "Scroll of Enchant Shield - Shield Block"
	38933, -- "Scroll of Enchant Gloves - Major Strength"
	38901, -- "Scroll of Enchant Bracer - Restore Mana Prime"
	38915, -- "Scroll of Enchant Cloak - Major Resistance"
	38949, -- "Scroll of Enchant Shield - Resilience"
	38900, -- "Scroll of Enchant Bracer - Superior Healing"
	38905, -- "Scroll of Enchant Shield - Intellect"
	38939, -- "Scroll of Enchant Cloak - Spell Penetration"
	38945, -- "Scroll of Enchant Shield - Major Stamina"
	38882, -- "Scroll of Enchant Bracer - Healing Power"
	38899, -- "Scroll of Enchant Bracer - Major Defense"
	38909, -- "Scroll of Enchant Boots - Fortitude"
	38928, -- "Scroll of Enchant Chest - Major Spirit"
	38898, -- "Scroll of Enchant Bracer - Stats"
	38911, -- "Scroll of Enchant Chest - Exceptional Health"
	38865, -- "Scroll of Enchant Chest - Greater Stats"
	38904, -- "Scroll of Enchant Shield - Tough Shield"
	38914, -- "Scroll of Enchant Cloak - Major Armor"
	38934, -- "Scroll of Enchant Gloves - Assault"
	38940, -- "Scroll of Enchant Cloak - Greater Agility"
	38897, -- "Scroll of Enchant Bracer - Brawn"
	38908, -- "Scroll of Enchant Boots - Vitality"
	38931, -- "Scroll of Enchant Gloves - Blasting"
	38937, -- "Scroll of Enchant Bracer - Major Intellect"
	38855, -- "Scroll of Enchant Bracer - Superior Stamina"
	38929, -- "Scroll of Enchant Chest - Restore Mana Prime"
	38938, -- "Scroll of Enchant Bracer - Assault"
	38854, -- "Scroll of Enchant Bracer - Superior Strength"
	38857, -- "Scroll of Enchant Gloves - Greater Strength"
	38863, -- "Scroll of Enchant Boots - Greater Agility"
	38867, -- "Scroll of Enchant Chest - Major Mana"
	38881, -- "Scroll of Enchant Bracer - Mana Regeneration"
	38859, -- "Scroll of Enchant Cloak - Superior Defense"
	38860, -- "Scroll of Enchant Shield - Vitality"
	38864, -- "Scroll of Enchant Boots - Spirit"
	38866, -- "Scroll of Enchant Chest - Major Health"
	38853, -- "Scroll of Enchant Bracer - Superior Spirit"
	38856, -- "Scroll of Enchant Gloves - Greater Agility"
	38858, -- "Scroll of Enchant Cloak - Greater Resistance"
	38861, -- "Scroll of Enchant Shield - Greater Stamina"
	38862, -- "Scroll of Enchant Boots - Greater Stamina"
	38852, -- "Scroll of Enchant Bracer - Greater Intellect"
	38850, -- "Scroll of Enchant Gloves - Riding Skill"
	38851, -- "Scroll of Enchant Gloves - Minor Haste"
	38847, -- "Scroll of Enchant Chest - Stats"
	38849, -- "Scroll of Enchant Bracer - Greater Stamina"
	38846, -- "Scroll of Enchant Bracer - Greater Strength"
	38842, -- "Scroll of Enchant Bracer - Deflection"
	38843, -- "Scroll of Enchant Shield - Frost Resistance"
	38844, -- "Scroll of Enchant Boots - Agility"
	38839, -- "Scroll of Enchant Shield - Greater Spirit"
	38841, -- "Scroll of Enchant Chest - Superior Mana"
	38834, -- "Scroll of Enchant Gloves - Advanced Herbalism"
	38835, -- "Scroll of Enchant Cloak - Lesser Agility"
	38836, -- "Scroll of Enchant Gloves - Strength"
	38837, -- "Scroll of Enchant Boots - Minor Speed"
	45628, -- "Scroll of Enchant Boots - Lesser Accuracy"
	38832, -- "Scroll of Enchant Bracer - Greater Spirit"
	38833, -- "Scroll of Enchant Chest - Superior Health"
	38830, -- "Scroll of Enchant Boots - Stamina"
	38831, -- "Scroll of Enchant Gloves - Advanced Mining"
	38827, -- "Scroll of Enchant Gloves - Agility"
	38828, -- "Scroll of Enchant Shield - Stamina"
	38829, -- "Scroll of Enchant Bracer - Intellect"
	38825, -- "Scroll of Enchant Cloak - Greater Defense"
	38826, -- "Scroll of Enchant Cloak - Resistance"
	38823, -- "Scroll of Enchant Gloves - Skinning"
	38824, -- "Scroll of Enchant Chest - Lesser Stats"
	38820, -- "Scroll of Enchant Shield - Lesser Block"
	38819, -- "Scroll of Enchant Boots - Lesser Spirit"
	38818, -- "Scroll of Enchant Chest - Greater Mana"
	38816, -- "Scroll of Enchant Shield - Spirit"
	38817, -- "Scroll of Enchant Bracer - Strength"
	38815, -- "Scroll of Enchant Cloak - Fire Resistance"
	38810, -- "Scroll of Enchant Boots - Lesser Stamina"
	38811, -- "Scroll of Enchant Bracer - Lesser Deflection"
	38812, -- "Scroll of Enchant Bracer - Stamina"
	38809, -- "Scroll of Enchant Bracer - Spirit"
	38807, -- "Scroll of Enchant Boots - Lesser Agility"
	38808, -- "Scroll of Enchant Chest - Greater Health"
	38805, -- "Scroll of Enchant Shield - Lesser Stamina"
	38806, -- "Scroll of Enchant Cloak - Defense"
	38803, -- "Scroll of Enchant Bracer - Lesser Intellect"
	38804, -- "Scroll of Enchant Chest - Minor Stats"
	38799, -- "Scroll of Enchant Chest - Mana"
	38800, -- "Scroll of Enchant Gloves - Mining"
	38801, -- "Scroll of Enchant Gloves - Herbalism"
	38802, -- "Scroll of Enchant Gloves - Fishing"
	38797, -- "Scroll of Enchant Bracer - Lesser Strength"
	38798, -- "Scroll of Enchant Chest - Lesser Absorption"
	38795, -- "Scroll of Enchant Cloak - Lesser Shadow Resistance"
	38792, -- "Scroll of Enchant Shield - Lesser Spirit"
	38793, -- "Scroll of Enchant Bracer - Lesser Stamina"
	38784, -- "Scroll of Enchant Cloak - Lesser Fire Resistance"
	38785, -- "Scroll of Enchant Boots - Minor Stamina"
	38786, -- "Scroll of Enchant Boots - Minor Agility"
	38782, -- "Scroll of Enchant Chest - Health"
	38783, -- "Scroll of Enchant Bracer - Lesser Spirit"
	38790, -- "Scroll of Enchant Cloak - Lesser Protection"
	38791, -- "Scroll of Enchant Shield - Lesser Protection"
	38789, -- "Scroll of Enchant Cloak - Minor Agility"
	38787, -- "Scroll of Enchant Shield - Minor Stamina"
	38776, -- "Scroll of Enchant Chest - Lesser Mana"
	38777, -- "Scroll of Enchant Bracer - Minor Agility"
	38778, -- "Scroll of Enchant Bracer - Minor Strength"
	38775, -- "Scroll of Enchant Cloak - Minor Protection"
	38773, -- "Scroll of Enchant Chest - Lesser Health"
	38774, -- "Scroll of Enchant Bracer - Minor Spirit"
	38771, -- "Scroll of Enchant Bracer - Minor Stamina"
	38770, -- "Scroll of Enchant Cloak - Minor Resistance"
	38767, -- "Scroll of Enchant Chest - Minor Absorption"
	38768, -- "Scroll of Enchant Bracer - Minor Deflection"
	38769, -- "Scroll of Enchant Chest - Minor Mana"
	38766, -- "Scroll of Enchant Chest - Minor Health"
	38679, -- "Scroll of Enchant Bracer - Minor Health"
	
	68784, -- "Enchant Bracer - Agility"
	68785, -- "Enchant Bracer - Major Strength"
	68786, -- "Enchant Bracer - Mighty Intellect"
}

-- data between "BEGIN: XXX" and "END: XXX" is generated automatically

-- ** BEGIN: UNCRAFTING **
local LINES = {
	[1] = {[12364]=0.3, [12361]=0.3, [12799]=0.3, [12800]=0.3, [7910]=0.15},
	[2] = {[52177]=0.18, [52178]=0.18, [52179]=0.18, [52180]=0.18, [52195]=0.04, [52181]=0.18, [52194]=0.04, [52182]=0.18, [52190]=0.04, [52193]=0.04, [52191]=0.04, [52192]=0.04},
	[3] = {[818]=0.5, [1210]=0.1, [774]=0.5},
	[4] = {[12364]=0.03, [12361]=0.03, [3864]=0.375, [12800]=0.03, [12799]=0.03, [7910]=0.375, [7909]=0.375},
	[5] = {[1206]=0.375, [1210]=0.375, [1529]=0.04, [7909]=0.04, [1705]=0.375, [3864]=0.04},
	[6] = {[3864]=0.375, [1529]=0.375, [7910]=0.05, [1705]=0.375, [7909]=0.05},
	[7] = {[52327]=2, [52178]=0.17, [52179]=0.17, [52195]=0.07, [52180]=0.17, [52194]=0.07, [52181]=0.17, [52193]=0.07, [52182]=0.17, [52190]=0.07, [52192]=0.07, [52191]=0.07, [52177]=0.17},
	[8] = {[36929]=0.2, [36930]=0.04, [36923]=0.2, [36924]=0.04, [36932]=0.2, [36933]=0.04, [36926]=0.2, [36927]=0.04, [36920]=0.2, [36918]=0.04, [36921]=0.04, [36917]=0.2},
	[9] = {[23441]=0.03, [23438]=0.03, [23112]=0.19, [23437]=0.03, [23079]=0.19, [23439]=0.03, [23117]=0.19, [23436]=0.03, [23440]=0.03, [21929]=0.19, [24243]=1, [23077]=0.19, [23107]=0.19},
	[10] = {[36917]=0.25, [36918]=0.04, [36919]=0.04, [36920]=0.25, [36921]=0.04, [36922]=0.04, [36923]=0.25, [36924]=0.04, [36925]=0.04, [36926]=0.25, [36927]=0.04, [36928]=0.04, [46849]=0.65, [36930]=0.04, [36931]=0.04, [36932]=0.25, [36933]=0.04, [36934]=0.04, [36929]=0.25},
	[11] = {[36929]=0.25, [36930]=0.013, [36923]=0.25, [36924]=0.013, [36917]=0.25, [36933]=0.013, [36926]=0.25, [36927]=0.013, [36920]=0.25, [36918]=0.013, [36921]=0.013, [36932]=0.25},
	[12] = {[23441]=0.011, [23438]=0.011, [23112]=0.19, [23079]=0.19, [23437]=0.011, [23117]=0.19, [23436]=0.011, [23440]=0.011, [21929]=0.19, [23439]=0.011, [23077]=0.19, [23107]=0.19},
	[13] = {[39339]=3.5, [43105]=0.4},
	[14] = {[39151]=2.5},
	[15] = {[39340]=2.5, [43106]=0.25},
	[16] = {[39334]=3, [43103]=0.5},
	[17] = {[39341]=2.5, [43107]=0.27},
	[18] = {[39341]=3, [43107]=0.5},
	[19] = {[39334]=2.5, [43103]=0.25},
	[20] = {[39343]=2.5, [43109]=0.25},
	[21] = {[61979]=2.5, [61980]=0.25},
	[22] = {[61979]=3, [61980]=0.5},
	[23] = {[39338]=2.5, [43104]=0.27},
	[24] = {[39339]=2.5, [43105]=0.25},
	[25] = {[39342]=2.5, [43108]=0.3},
	[26] = {[39340]=3, [43106]=0.5},
	[27] = {[39342]=3, [43108]=0.55},
	[28] = {[39151]=3},
	[29] = {[39338]=3, [43104]=0.5},
	[30] = {[39343]=3, [43109]=0.5},
	[31] = {[10940]=0.3, [10938]=1.2},
	[32] = {[10940]=0.5, [10939]=1.125, [10978]=0.05},
	[33] = {[10998]=1.125, [10940]=0.75, [10978]=0.1},
	[34] = {[11082]=1.125, [11084]=0.05, [11083]=0.3},
	[35] = {[11138]=0.05, [11134]=1.125, [11083]=0.7},
	[36] = {[11139]=0.05, [11135]=1.125, [11137]=0.3},
	[37] = {[11174]=1.125, [11137]=0.7, [11177]=0.05},
	[38] = {[11175]=1.125, [11176]=0.3, [11178]=0.05},
	[39] = {[14343]=0.05, [16202]=1.125, [11176]=0.7},
	[40] = {[16203]=1.125, [16204]=0.3, [14344]=0.05},
	[41] = {[22445]=0.5, [22447]=1.875, [22448]=0.05},
	[42] = {[22445]=0.7, [22446]=1.125, [22449]=0.05},
	[43] = {[34054]=0.5, [34056]=1.125, [34053]=0.05},
	[44] = {[34055]=1.125, [34054]=1.1, [34052]=0.05},
	[45] = {[52555]=0.375, [52718]=1.125},
	[46] = {[52555]=0.75, [52719]=1.125},
	[47] = {[52555]=1, [52719]=2.25},
	[48] = {[10978]=1},
	[49] = {[11084]=1},
	[50] = {[11138]=1},
	[51] = {[11139]=1},
	[52] = {[11177]=1},
	[53] = {[11178]=1},
	[54] = {[14343]=1},
	[55] = {[14344]=0.99},
	[56] = {[22448]=0.99},
	[57] = {[22449]=0.99},
	[58] = {[34053]=0.99},
	[59] = {[34052]=0.99},
	[60] = {[52720]=0.99},
	[61] = {[52721]=0.99},
	[62] = {[11177]=3},
	[63] = {[11178]=3.5},
	[64] = {[14343]=3.5},
	[65] = {[20725]=1},
	[66] = {[22450]=1},
	[67] = {[34057]=1},
	[68] = {[52722]=1},
	[69] = {[10940]=1.2, [10938]=0.3},
	[70] = {[10940]=1.875, [10939]=0.3, [10978]=0.05},
	[71] = {[10998]=0.225, [10940]=3.75, [10978]=0.1},
	[72] = {[11082]=0.3, [11084]=0.05, [11083]=1.125},
	[73] = {[11138]=0.05, [11134]=0.3, [11083]=2.625},
	[74] = {[11139]=0.05, [11135]=0.3, [11137]=1.125},
	[75] = {[11174]=0.3, [11137]=2.625, [11177]=0.05},
	[76] = {[11175]=0.3, [11176]=1.125, [11178]=0.05},
	[77] = {[14343]=0.05, [16202]=0.3, [11176]=2.625},
	[78] = {[16203]=0.3, [16204]=1.125, [14344]=0.05},
	[79] = {[16203]=0.5, [16204]=2.625, [14344]=0.05},
	[80] = {[22445]=1.875, [22447]=0.5, [22448]=0.05},
	[81] = {[22445]=2.625, [22446]=0.3, [22449]=0.05},
	[82] = {[34054]=1.875, [34056]=0.3, [34053]=0.05},
	[83] = {[34055]=0.3, [34054]=4.125, [34052]=0.05},
	[84] = {[52555]=1.125, [52718]=0.375},
	[85] = {[52555]=2.25, [52719]=0.375},
	[86] = {[52555]=3, [52719]=0.75}
}
P.PROSPECT = {
	[10620] = LINES[1],
	[52185] = LINES[2],
	[2770] = LINES[3],
	[3858] = LINES[4],
	[2771] = LINES[5],
	[2772] = LINES[6],
	[23424] = LINES[12],
	[36909] = LINES[11],
	[36912] = LINES[8],
	[53038] = LINES[2],
	[52183] = LINES[7],
	[36910] = LINES[10],
	[23425] = LINES[9]
}
P.MILL = {
	[3358] = LINES[13],
	[765] = LINES[14],
	[8831] = LINES[15],
	[2453] = LINES[16],
	[13463] = LINES[17],
	[13464] = LINES[17],
	[13465] = LINES[18],
	[785] = LINES[19],
	[13466] = LINES[18],
	[8836] = LINES[15],
	[13467] = LINES[18],
	[36907] = LINES[20],
	[8838] = LINES[15],
	[4625] = LINES[15],
	[2447] = LINES[14],
	[52984] = LINES[21],
	[52986] = LINES[21],
	[52988] = LINES[22],
	[3369] = LINES[23],
	[3818] = LINES[24],
	[22785] = LINES[25],
	[22786] = LINES[25],
	[22787] = LINES[25],
	[8845] = LINES[26],
	[22790] = LINES[27],
	[3819] = LINES[13],
	[22792] = LINES[27],
	[2449] = LINES[28],
	[3355] = LINES[23],
	[3820] = LINES[16],
	[8839] = LINES[26],
	[2450] = LINES[19],
	[8846] = LINES[26],
	[36904] = LINES[20],
	[3356] = LINES[29],
	[22789] = LINES[25],
	[36905] = LINES[30],
	[3821] = LINES[24],
	[22793] = LINES[27],
	[22791] = LINES[27],
	[52983] = LINES[21],
	[52985] = LINES[21],
	[52987] = LINES[22],
	[36901] = LINES[20],
	[37921] = LINES[20],
	[3357] = LINES[29],
	[36903] = LINES[30],
	[2452] = LINES[19],
	[36906] = LINES[30],
	[39970] = LINES[20],
	[39969] = LINES[20]
}
P.DE_UNCOMMON_WEAPON = {
	[1] = LINES[31],
	[2] = LINES[31],
	[3] = LINES[31],
	[4] = LINES[31],
	[5] = LINES[31],
	[6] = LINES[31],
	[7] = LINES[31],
	[8] = LINES[31],
	[9] = LINES[31],
	[10] = LINES[31],
	[11] = LINES[31],
	[12] = LINES[31],
	[13] = LINES[31],
	[14] = LINES[31],
	[15] = LINES[31],
	[16] = LINES[32],
	[17] = LINES[32],
	[18] = LINES[32],
	[19] = LINES[32],
	[20] = LINES[32],
	[21] = LINES[33],
	[22] = LINES[33],
	[23] = LINES[33],
	[24] = LINES[33],
	[25] = LINES[33],
	[26] = LINES[34],
	[27] = LINES[34],
	[28] = LINES[34],
	[29] = LINES[34],
	[30] = LINES[34],
	[31] = LINES[35],
	[32] = LINES[35],
	[33] = LINES[35],
	[34] = LINES[35],
	[35] = LINES[35],
	[36] = LINES[36],
	[37] = LINES[36],
	[38] = LINES[36],
	[39] = LINES[36],
	[40] = LINES[36],
	[41] = LINES[37],
	[42] = LINES[37],
	[43] = LINES[37],
	[44] = LINES[37],
	[45] = LINES[37],
	[46] = LINES[38],
	[47] = LINES[38],
	[48] = LINES[38],
	[49] = LINES[38],
	[50] = LINES[38],
	[51] = LINES[39],
	[52] = LINES[39],
	[53] = LINES[39],
	[54] = LINES[39],
	[55] = LINES[39],
	[56] = LINES[40],
	[57] = LINES[40],
	[58] = LINES[40],
	[59] = LINES[40],
	[60] = LINES[40],
	[61] = LINES[40],
	[62] = LINES[40],
	[63] = LINES[40],
	[64] = LINES[40],
	[65] = LINES[40],
	[66] = LINES[41],
	[67] = LINES[41],
	[68] = LINES[41],
	[69] = LINES[41],
	[70] = LINES[41],
	[71] = LINES[41],
	[72] = LINES[41],
	[73] = LINES[41],
	[74] = LINES[41],
	[75] = LINES[41],
	[76] = LINES[41],
	[77] = LINES[41],
	[78] = LINES[41],
	[79] = LINES[41],
	[80] = LINES[41],
	[81] = LINES[41],
	[82] = LINES[41],
	[83] = LINES[41],
	[84] = LINES[41],
	[85] = LINES[41],
	[86] = LINES[41],
	[87] = LINES[41],
	[88] = LINES[41],
	[89] = LINES[41],
	[90] = LINES[41],
	[91] = LINES[41],
	[92] = LINES[41],
	[93] = LINES[41],
	[94] = LINES[41],
	[95] = LINES[41],
	[96] = LINES[41],
	[97] = LINES[41],
	[98] = LINES[41],
	[99] = LINES[41],
	[100] = LINES[42],
	[101] = LINES[42],
	[102] = LINES[42],
	[103] = LINES[42],
	[104] = LINES[42],
	[105] = LINES[42],
	[106] = LINES[42],
	[107] = LINES[42],
	[108] = LINES[42],
	[109] = LINES[42],
	[110] = LINES[42],
	[111] = LINES[42],
	[112] = LINES[42],
	[113] = LINES[42],
	[114] = LINES[42],
	[115] = LINES[42],
	[116] = LINES[42],
	[117] = LINES[42],
	[118] = LINES[42],
	[119] = LINES[42],
	[120] = LINES[42],
	[121] = LINES[43],
	[122] = LINES[43],
	[123] = LINES[43],
	[124] = LINES[43],
	[125] = LINES[43],
	[126] = LINES[43],
	[127] = LINES[43],
	[128] = LINES[43],
	[129] = LINES[43],
	[130] = LINES[43],
	[131] = LINES[43],
	[132] = LINES[43],
	[133] = LINES[43],
	[134] = LINES[43],
	[135] = LINES[43],
	[136] = LINES[43],
	[137] = LINES[43],
	[138] = LINES[43],
	[139] = LINES[43],
	[140] = LINES[43],
	[141] = LINES[43],
	[142] = LINES[43],
	[143] = LINES[43],
	[144] = LINES[43],
	[145] = LINES[43],
	[146] = LINES[43],
	[147] = LINES[43],
	[148] = LINES[43],
	[149] = LINES[43],
	[150] = LINES[43],
	[151] = LINES[43],
	[152] = LINES[44],
	[153] = LINES[44],
	[154] = LINES[44],
	[155] = LINES[44],
	[156] = LINES[44],
	[157] = LINES[44],
	[158] = LINES[44],
	[159] = LINES[44],
	[160] = LINES[44],
	[161] = LINES[44],
	[162] = LINES[44],
	[163] = LINES[44],
	[164] = LINES[44],
	[165] = LINES[44],
	[166] = LINES[44],
	[167] = LINES[44],
	[168] = LINES[44],
	[169] = LINES[44],
	[170] = LINES[44],
	[171] = LINES[44],
	[172] = LINES[44],
	[173] = LINES[44],
	[174] = LINES[44],
	[175] = LINES[44],
	[176] = LINES[44],
	[177] = LINES[44],
	[178] = LINES[44],
	[179] = LINES[44],
	[180] = LINES[44],
	[181] = LINES[44],
	[182] = LINES[44],
	[183] = LINES[44],
	[184] = LINES[44],
	[185] = LINES[44],
	[186] = LINES[44],
	[187] = LINES[44],
	[188] = LINES[44],
	[189] = LINES[44],
	[190] = LINES[44],
	[191] = LINES[44],
	[192] = LINES[44],
	[193] = LINES[44],
	[194] = LINES[44],
	[195] = LINES[44],
	[196] = LINES[44],
	[197] = LINES[44],
	[198] = LINES[44],
	[199] = LINES[44],
	[200] = LINES[44],
	[201] = LINES[45],
	[202] = LINES[45],
	[203] = LINES[45],
	[204] = LINES[45],
	[205] = LINES[45],
	[206] = LINES[45],
	[207] = LINES[45],
	[208] = LINES[45],
	[209] = LINES[45],
	[210] = LINES[45],
	[211] = LINES[45],
	[212] = LINES[45],
	[213] = LINES[45],
	[214] = LINES[45],
	[215] = LINES[45],
	[216] = LINES[45],
	[217] = LINES[45],
	[218] = LINES[45],
	[219] = LINES[45],
	[220] = LINES[45],
	[221] = LINES[45],
	[222] = LINES[45],
	[223] = LINES[45],
	[224] = LINES[45],
	[225] = LINES[45],
	[226] = LINES[45],
	[227] = LINES[45],
	[228] = LINES[45],
	[229] = LINES[45],
	[230] = LINES[45],
	[231] = LINES[45],
	[232] = LINES[45],
	[233] = LINES[45],
	[234] = LINES[45],
	[235] = LINES[45],
	[236] = LINES[45],
	[237] = LINES[45],
	[238] = LINES[45],
	[239] = LINES[45],
	[240] = LINES[45],
	[241] = LINES[45],
	[242] = LINES[45],
	[243] = LINES[45],
	[244] = LINES[45],
	[245] = LINES[45],
	[246] = LINES[45],
	[247] = LINES[45],
	[248] = LINES[45],
	[249] = LINES[45],
	[250] = LINES[45],
	[251] = LINES[45],
	[252] = LINES[45],
	[253] = LINES[45],
	[254] = LINES[45],
	[255] = LINES[45],
	[256] = LINES[45],
	[257] = LINES[45],
	[258] = LINES[45],
	[259] = LINES[45],
	[260] = LINES[45],
	[261] = LINES[45],
	[262] = LINES[45],
	[263] = LINES[45],
	[264] = LINES[45],
	[265] = LINES[45],
	[266] = LINES[45],
	[267] = LINES[45],
	[268] = LINES[45],
	[269] = LINES[45],
	[270] = LINES[45],
	[271] = LINES[45],
	[272] = LINES[45],
	[273] = LINES[45],
	[274] = LINES[45],
	[275] = LINES[45],
	[276] = LINES[45],
	[277] = LINES[45],
	[278] = LINES[45],
	[279] = LINES[45],
	[280] = LINES[45],
	[281] = LINES[45],
	[282] = LINES[45],
	[283] = LINES[45],
	[284] = LINES[45],
	[285] = LINES[45],
	[286] = LINES[45],
	[287] = LINES[45],
	[288] = LINES[45],
	[289] = LINES[45],
	[290] = LINES[45],
	[291] = LINES[45],
	[292] = LINES[45],
	[293] = LINES[45],
	[294] = LINES[45],
	[295] = LINES[45],
	[296] = LINES[45],
	[297] = LINES[45],
	[298] = LINES[45],
	[299] = LINES[45],
	[300] = LINES[45],
	[301] = LINES[45],
	[302] = LINES[45],
	[303] = LINES[45],
	[304] = LINES[45],
	[305] = LINES[45],
	[306] = LINES[46],
	[307] = LINES[46],
	[308] = LINES[46],
	[309] = LINES[46],
	[310] = LINES[46],
	[311] = LINES[46],
	[312] = LINES[46],
	[313] = LINES[46],
	[314] = LINES[46],
	[315] = LINES[46],
	[316] = LINES[46],
	[317] = LINES[46],
	[318] = LINES[46],
	[319] = LINES[46],
	[320] = LINES[46],
	[321] = LINES[46],
	[322] = LINES[46],
	[323] = LINES[46],
	[324] = LINES[46],
	[325] = LINES[46],
	[326] = LINES[47],
	[327] = LINES[47],
	[328] = LINES[47],
	[329] = LINES[47],
	[330] = LINES[47],
	[331] = LINES[47],
	[332] = LINES[47],
	[333] = LINES[47],
	[334] = LINES[47],
	[335] = LINES[47],
	[336] = LINES[47],
	[337] = LINES[47],
	[338] = LINES[47],
	[339] = LINES[47],
	[340] = LINES[47],
	[341] = LINES[47],
	[342] = LINES[47],
	[343] = LINES[47],
	[344] = LINES[47],
	[345] = LINES[47],
	[346] = LINES[47],
	[347] = LINES[47],
	[348] = LINES[47],
	[349] = LINES[47],
	[350] = LINES[47],
	[351] = LINES[47],
	[352] = LINES[47],
	[353] = LINES[47],
	[354] = LINES[47],
	[355] = LINES[47],
	[356] = LINES[47],
	[357] = LINES[47],
	[358] = LINES[47],
	[359] = LINES[47],
	[360] = LINES[47],
	[361] = LINES[47],
	[362] = LINES[47],
	[363] = LINES[47],
	[364] = LINES[47],
	[365] = LINES[47],
	[366] = LINES[47],
	[367] = LINES[47],
	[368] = LINES[47],
	[369] = LINES[47],
	[370] = LINES[47],
	[371] = LINES[47],
	[372] = LINES[47],
	[373] = LINES[47],
	[374] = LINES[47],
	[375] = LINES[47],
	[376] = LINES[47],
	[377] = LINES[47],
	[378] = LINES[47],
	[379] = LINES[47],
	[380] = LINES[47],
	[381] = LINES[47],
	[382] = LINES[47],
	[383] = LINES[47],
	[384] = LINES[47],
	[385] = LINES[47],
	[386] = LINES[47],
	[387] = LINES[47],
	[388] = LINES[47],
	[389] = LINES[47],
	[390] = LINES[47],
	[391] = LINES[47],
	[392] = LINES[47],
	[393] = LINES[47],
	[394] = LINES[47],
	[395] = LINES[47],
	[396] = LINES[47],
	[397] = LINES[47],
	[398] = LINES[47],
	[399] = LINES[47],
	[400] = LINES[47]
}
P.DE_RARE_WEAPON = {
	[1] = LINES[48],
	[2] = LINES[48],
	[3] = LINES[48],
	[4] = LINES[48],
	[5] = LINES[48],
	[6] = LINES[48],
	[7] = LINES[48],
	[8] = LINES[48],
	[9] = LINES[48],
	[10] = LINES[48],
	[11] = LINES[48],
	[12] = LINES[48],
	[13] = LINES[48],
	[14] = LINES[48],
	[15] = LINES[48],
	[16] = LINES[48],
	[17] = LINES[48],
	[18] = LINES[48],
	[19] = LINES[48],
	[20] = LINES[48],
	[21] = LINES[48],
	[22] = LINES[48],
	[23] = LINES[48],
	[24] = LINES[48],
	[25] = LINES[48],
	[26] = LINES[49],
	[27] = LINES[49],
	[28] = LINES[49],
	[29] = LINES[49],
	[30] = LINES[49],
	[31] = LINES[50],
	[32] = LINES[50],
	[33] = LINES[50],
	[34] = LINES[50],
	[35] = LINES[50],
	[36] = LINES[51],
	[37] = LINES[51],
	[38] = LINES[51],
	[39] = LINES[51],
	[40] = LINES[51],
	[41] = LINES[52],
	[42] = LINES[52],
	[43] = LINES[52],
	[44] = LINES[52],
	[45] = LINES[52],
	[46] = LINES[53],
	[47] = LINES[53],
	[48] = LINES[53],
	[49] = LINES[53],
	[50] = LINES[53],
	[51] = LINES[54],
	[52] = LINES[54],
	[53] = LINES[54],
	[54] = LINES[54],
	[55] = LINES[54],
	[56] = LINES[55],
	[57] = LINES[55],
	[58] = LINES[55],
	[59] = LINES[55],
	[60] = LINES[55],
	[61] = LINES[55],
	[62] = LINES[55],
	[63] = LINES[55],
	[64] = LINES[55],
	[65] = LINES[55],
	[66] = LINES[56],
	[67] = LINES[56],
	[68] = LINES[56],
	[69] = LINES[56],
	[70] = LINES[56],
	[71] = LINES[56],
	[72] = LINES[56],
	[73] = LINES[56],
	[74] = LINES[56],
	[75] = LINES[56],
	[76] = LINES[56],
	[77] = LINES[56],
	[78] = LINES[56],
	[79] = LINES[56],
	[80] = LINES[56],
	[81] = LINES[56],
	[82] = LINES[56],
	[83] = LINES[56],
	[84] = LINES[56],
	[85] = LINES[56],
	[86] = LINES[56],
	[87] = LINES[56],
	[88] = LINES[56],
	[89] = LINES[56],
	[90] = LINES[56],
	[91] = LINES[56],
	[92] = LINES[56],
	[93] = LINES[56],
	[94] = LINES[56],
	[95] = LINES[56],
	[96] = LINES[56],
	[97] = LINES[56],
	[98] = LINES[56],
	[99] = LINES[56],
	[100] = LINES[57],
	[101] = LINES[57],
	[102] = LINES[57],
	[103] = LINES[57],
	[104] = LINES[57],
	[105] = LINES[57],
	[106] = LINES[57],
	[107] = LINES[57],
	[108] = LINES[57],
	[109] = LINES[57],
	[110] = LINES[57],
	[111] = LINES[57],
	[112] = LINES[57],
	[113] = LINES[57],
	[114] = LINES[57],
	[115] = LINES[57],
	[116] = LINES[57],
	[117] = LINES[57],
	[118] = LINES[57],
	[119] = LINES[57],
	[120] = LINES[57],
	[121] = LINES[58],
	[122] = LINES[58],
	[123] = LINES[58],
	[124] = LINES[58],
	[125] = LINES[58],
	[126] = LINES[58],
	[127] = LINES[58],
	[128] = LINES[58],
	[129] = LINES[58],
	[130] = LINES[58],
	[131] = LINES[58],
	[132] = LINES[58],
	[133] = LINES[58],
	[134] = LINES[58],
	[135] = LINES[58],
	[136] = LINES[58],
	[137] = LINES[58],
	[138] = LINES[58],
	[139] = LINES[58],
	[140] = LINES[58],
	[141] = LINES[58],
	[142] = LINES[58],
	[143] = LINES[58],
	[144] = LINES[58],
	[145] = LINES[58],
	[146] = LINES[58],
	[147] = LINES[58],
	[148] = LINES[58],
	[149] = LINES[58],
	[150] = LINES[58],
	[151] = LINES[58],
	[152] = LINES[58],
	[153] = LINES[58],
	[154] = LINES[58],
	[155] = LINES[58],
	[156] = LINES[58],
	[157] = LINES[58],
	[158] = LINES[58],
	[159] = LINES[58],
	[160] = LINES[58],
	[161] = LINES[58],
	[162] = LINES[58],
	[163] = LINES[58],
	[164] = LINES[58],
	[165] = LINES[59],
	[166] = LINES[59],
	[167] = LINES[59],
	[168] = LINES[59],
	[169] = LINES[59],
	[170] = LINES[59],
	[171] = LINES[59],
	[172] = LINES[59],
	[173] = LINES[59],
	[174] = LINES[59],
	[175] = LINES[59],
	[176] = LINES[59],
	[177] = LINES[59],
	[178] = LINES[59],
	[179] = LINES[59],
	[180] = LINES[59],
	[181] = LINES[59],
	[182] = LINES[59],
	[183] = LINES[59],
	[184] = LINES[59],
	[185] = LINES[59],
	[186] = LINES[59],
	[187] = LINES[59],
	[188] = LINES[59],
	[189] = LINES[59],
	[190] = LINES[59],
	[191] = LINES[59],
	[192] = LINES[59],
	[193] = LINES[59],
	[194] = LINES[59],
	[195] = LINES[59],
	[196] = LINES[59],
	[197] = LINES[59],
	[198] = LINES[59],
	[199] = LINES[59],
	[200] = LINES[59],
	[201] = LINES[60],
	[202] = LINES[60],
	[203] = LINES[60],
	[204] = LINES[60],
	[205] = LINES[60],
	[206] = LINES[60],
	[207] = LINES[60],
	[208] = LINES[60],
	[209] = LINES[60],
	[210] = LINES[60],
	[211] = LINES[60],
	[212] = LINES[60],
	[213] = LINES[60],
	[214] = LINES[60],
	[215] = LINES[60],
	[216] = LINES[60],
	[217] = LINES[60],
	[218] = LINES[60],
	[219] = LINES[60],
	[220] = LINES[60],
	[221] = LINES[60],
	[222] = LINES[60],
	[223] = LINES[60],
	[224] = LINES[60],
	[225] = LINES[60],
	[226] = LINES[60],
	[227] = LINES[60],
	[228] = LINES[60],
	[229] = LINES[60],
	[230] = LINES[60],
	[231] = LINES[60],
	[232] = LINES[60],
	[233] = LINES[60],
	[234] = LINES[60],
	[235] = LINES[60],
	[236] = LINES[60],
	[237] = LINES[60],
	[238] = LINES[60],
	[239] = LINES[60],
	[240] = LINES[60],
	[241] = LINES[60],
	[242] = LINES[60],
	[243] = LINES[60],
	[244] = LINES[60],
	[245] = LINES[60],
	[246] = LINES[60],
	[247] = LINES[60],
	[248] = LINES[60],
	[249] = LINES[60],
	[250] = LINES[60],
	[251] = LINES[60],
	[252] = LINES[60],
	[253] = LINES[60],
	[254] = LINES[60],
	[255] = LINES[60],
	[256] = LINES[60],
	[257] = LINES[60],
	[258] = LINES[60],
	[259] = LINES[60],
	[260] = LINES[60],
	[261] = LINES[60],
	[262] = LINES[60],
	[263] = LINES[60],
	[264] = LINES[60],
	[265] = LINES[60],
	[266] = LINES[60],
	[267] = LINES[60],
	[268] = LINES[60],
	[269] = LINES[60],
	[270] = LINES[60],
	[271] = LINES[60],
	[272] = LINES[60],
	[273] = LINES[60],
	[274] = LINES[60],
	[275] = LINES[60],
	[276] = LINES[60],
	[277] = LINES[60],
	[278] = LINES[60],
	[279] = LINES[60],
	[280] = LINES[60],
	[281] = LINES[60],
	[282] = LINES[60],
	[283] = LINES[60],
	[284] = LINES[60],
	[285] = LINES[60],
	[286] = LINES[60],
	[287] = LINES[60],
	[288] = LINES[60],
	[289] = LINES[60],
	[290] = LINES[60],
	[291] = LINES[60],
	[292] = LINES[60],
	[293] = LINES[60],
	[294] = LINES[60],
	[295] = LINES[60],
	[296] = LINES[60],
	[297] = LINES[60],
	[298] = LINES[60],
	[299] = LINES[60],
	[300] = LINES[60],
	[301] = LINES[60],
	[302] = LINES[60],
	[303] = LINES[60],
	[304] = LINES[60],
	[305] = LINES[60],
	[306] = LINES[60],
	[307] = LINES[60],
	[308] = LINES[60],
	[309] = LINES[60],
	[310] = LINES[60],
	[311] = LINES[60],
	[312] = LINES[60],
	[313] = LINES[60],
	[314] = LINES[60],
	[315] = LINES[60],
	[316] = LINES[60],
	[317] = LINES[61],
	[318] = LINES[61],
	[319] = LINES[61],
	[320] = LINES[61],
	[321] = LINES[61],
	[322] = LINES[61],
	[323] = LINES[61],
	[324] = LINES[61],
	[325] = LINES[61],
	[326] = LINES[61],
	[327] = LINES[61],
	[328] = LINES[61],
	[329] = LINES[61],
	[330] = LINES[61],
	[331] = LINES[61],
	[332] = LINES[61],
	[333] = LINES[61],
	[334] = LINES[61],
	[335] = LINES[61],
	[336] = LINES[61],
	[337] = LINES[61],
	[338] = LINES[61],
	[339] = LINES[61],
	[340] = LINES[61],
	[341] = LINES[61],
	[342] = LINES[61],
	[343] = LINES[61],
	[344] = LINES[61],
	[345] = LINES[61],
	[346] = LINES[61],
	[347] = LINES[61],
	[348] = LINES[61],
	[349] = LINES[61],
	[350] = LINES[61],
	[351] = LINES[61],
	[352] = LINES[61],
	[353] = LINES[61],
	[354] = LINES[61],
	[355] = LINES[61],
	[356] = LINES[61],
	[357] = LINES[61],
	[358] = LINES[61],
	[359] = LINES[61],
	[360] = LINES[61],
	[361] = LINES[61],
	[362] = LINES[61],
	[363] = LINES[61],
	[364] = LINES[61],
	[365] = LINES[61],
	[366] = LINES[61],
	[367] = LINES[61],
	[368] = LINES[61],
	[369] = LINES[61],
	[370] = LINES[61],
	[371] = LINES[61],
	[372] = LINES[61],
	[373] = LINES[61],
	[374] = LINES[61],
	[375] = LINES[61],
	[376] = LINES[61],
	[377] = LINES[61],
	[378] = LINES[61],
	[379] = LINES[61],
	[380] = LINES[61],
	[381] = LINES[61],
	[382] = LINES[61],
	[383] = LINES[61],
	[384] = LINES[61],
	[385] = LINES[61],
	[386] = LINES[61],
	[387] = LINES[61],
	[388] = LINES[61],
	[389] = LINES[61],
	[390] = LINES[61],
	[391] = LINES[61],
	[392] = LINES[61],
	[393] = LINES[61],
	[394] = LINES[61],
	[395] = LINES[61],
	[396] = LINES[61],
	[397] = LINES[61],
	[398] = LINES[61],
	[399] = LINES[61],
	[400] = LINES[61]
}
P.DE_EPIC_WEAPON = {
	[1] = LINES[62],
	[2] = LINES[62],
	[3] = LINES[62],
	[4] = LINES[62],
	[5] = LINES[62],
	[6] = LINES[62],
	[7] = LINES[62],
	[8] = LINES[62],
	[9] = LINES[62],
	[10] = LINES[62],
	[11] = LINES[62],
	[12] = LINES[62],
	[13] = LINES[62],
	[14] = LINES[62],
	[15] = LINES[62],
	[16] = LINES[62],
	[17] = LINES[62],
	[18] = LINES[62],
	[19] = LINES[62],
	[20] = LINES[62],
	[21] = LINES[62],
	[22] = LINES[62],
	[23] = LINES[62],
	[24] = LINES[62],
	[25] = LINES[62],
	[26] = LINES[62],
	[27] = LINES[62],
	[28] = LINES[62],
	[29] = LINES[62],
	[30] = LINES[62],
	[31] = LINES[62],
	[32] = LINES[62],
	[33] = LINES[62],
	[34] = LINES[62],
	[35] = LINES[62],
	[36] = LINES[62],
	[37] = LINES[62],
	[38] = LINES[62],
	[39] = LINES[62],
	[40] = LINES[62],
	[41] = LINES[62],
	[42] = LINES[62],
	[43] = LINES[62],
	[44] = LINES[62],
	[45] = LINES[62],
	[46] = LINES[63],
	[47] = LINES[63],
	[48] = LINES[63],
	[49] = LINES[63],
	[50] = LINES[63],
	[51] = LINES[64],
	[52] = LINES[64],
	[53] = LINES[64],
	[54] = LINES[64],
	[55] = LINES[64],
	[56] = LINES[65],
	[57] = LINES[65],
	[58] = LINES[65],
	[59] = LINES[65],
	[60] = LINES[65],
	[61] = LINES[65],
	[62] = LINES[65],
	[63] = LINES[65],
	[64] = LINES[65],
	[65] = LINES[65],
	[66] = LINES[65],
	[67] = LINES[65],
	[68] = LINES[65],
	[69] = LINES[65],
	[70] = LINES[65],
	[71] = LINES[65],
	[72] = LINES[65],
	[73] = LINES[65],
	[74] = LINES[65],
	[75] = LINES[65],
	[76] = LINES[65],
	[77] = LINES[65],
	[78] = LINES[65],
	[79] = LINES[65],
	[80] = LINES[65],
	[81] = LINES[65],
	[82] = LINES[65],
	[83] = LINES[65],
	[84] = LINES[65],
	[85] = LINES[65],
	[86] = LINES[65],
	[87] = LINES[65],
	[88] = LINES[65],
	[89] = LINES[65],
	[90] = LINES[65],
	[91] = LINES[65],
	[92] = LINES[65],
	[93] = LINES[65],
	[94] = LINES[65],
	[95] = LINES[66],
	[96] = LINES[66],
	[97] = LINES[66],
	[98] = LINES[66],
	[99] = LINES[66],
	[100] = LINES[66],
	[101] = LINES[66],
	[102] = LINES[66],
	[103] = LINES[66],
	[104] = LINES[66],
	[105] = LINES[66],
	[106] = LINES[66],
	[107] = LINES[66],
	[108] = LINES[66],
	[109] = LINES[66],
	[110] = LINES[66],
	[111] = LINES[66],
	[112] = LINES[66],
	[113] = LINES[66],
	[114] = LINES[66],
	[115] = LINES[66],
	[116] = LINES[66],
	[117] = LINES[66],
	[118] = LINES[66],
	[119] = LINES[66],
	[120] = LINES[66],
	[121] = LINES[66],
	[122] = LINES[66],
	[123] = LINES[66],
	[124] = LINES[66],
	[125] = LINES[66],
	[126] = LINES[66],
	[127] = LINES[66],
	[128] = LINES[66],
	[129] = LINES[66],
	[130] = LINES[66],
	[131] = LINES[66],
	[132] = LINES[66],
	[133] = LINES[66],
	[134] = LINES[66],
	[135] = LINES[66],
	[136] = LINES[66],
	[137] = LINES[66],
	[138] = LINES[66],
	[139] = LINES[66],
	[140] = LINES[66],
	[141] = LINES[66],
	[142] = LINES[66],
	[143] = LINES[66],
	[144] = LINES[66],
	[145] = LINES[66],
	[146] = LINES[66],
	[147] = LINES[66],
	[148] = LINES[66],
	[149] = LINES[66],
	[150] = LINES[66],
	[151] = LINES[66],
	[152] = LINES[66],
	[153] = LINES[66],
	[154] = LINES[66],
	[155] = LINES[66],
	[156] = LINES[66],
	[157] = LINES[66],
	[158] = LINES[66],
	[159] = LINES[66],
	[160] = LINES[66],
	[161] = LINES[66],
	[162] = LINES[66],
	[163] = LINES[66],
	[164] = LINES[66],
	[165] = LINES[67],
	[166] = LINES[67],
	[167] = LINES[67],
	[168] = LINES[67],
	[169] = LINES[67],
	[170] = LINES[67],
	[171] = LINES[67],
	[172] = LINES[67],
	[173] = LINES[67],
	[174] = LINES[67],
	[175] = LINES[67],
	[176] = LINES[67],
	[177] = LINES[67],
	[178] = LINES[67],
	[179] = LINES[67],
	[180] = LINES[67],
	[181] = LINES[67],
	[182] = LINES[67],
	[183] = LINES[67],
	[184] = LINES[67],
	[185] = LINES[67],
	[186] = LINES[67],
	[187] = LINES[67],
	[188] = LINES[67],
	[189] = LINES[67],
	[190] = LINES[67],
	[191] = LINES[67],
	[192] = LINES[67],
	[193] = LINES[67],
	[194] = LINES[67],
	[195] = LINES[67],
	[196] = LINES[67],
	[197] = LINES[67],
	[198] = LINES[67],
	[199] = LINES[67],
	[200] = LINES[67],
	[201] = LINES[67],
	[202] = LINES[67],
	[203] = LINES[67],
	[204] = LINES[67],
	[205] = LINES[67],
	[206] = LINES[67],
	[207] = LINES[67],
	[208] = LINES[67],
	[209] = LINES[67],
	[210] = LINES[67],
	[211] = LINES[67],
	[212] = LINES[67],
	[213] = LINES[67],
	[214] = LINES[67],
	[215] = LINES[67],
	[216] = LINES[67],
	[217] = LINES[67],
	[218] = LINES[67],
	[219] = LINES[67],
	[220] = LINES[67],
	[221] = LINES[67],
	[222] = LINES[67],
	[223] = LINES[67],
	[224] = LINES[67],
	[225] = LINES[67],
	[226] = LINES[67],
	[227] = LINES[67],
	[228] = LINES[67],
	[229] = LINES[67],
	[230] = LINES[67],
	[231] = LINES[67],
	[232] = LINES[67],
	[233] = LINES[67],
	[234] = LINES[67],
	[235] = LINES[67],
	[236] = LINES[67],
	[237] = LINES[67],
	[238] = LINES[67],
	[239] = LINES[67],
	[240] = LINES[67],
	[241] = LINES[67],
	[242] = LINES[67],
	[243] = LINES[67],
	[244] = LINES[67],
	[245] = LINES[67],
	[246] = LINES[67],
	[247] = LINES[67],
	[248] = LINES[67],
	[249] = LINES[67],
	[250] = LINES[67],
	[251] = LINES[67],
	[252] = LINES[67],
	[253] = LINES[67],
	[254] = LINES[67],
	[255] = LINES[67],
	[256] = LINES[67],
	[257] = LINES[67],
	[258] = LINES[67],
	[259] = LINES[67],
	[260] = LINES[67],
	[261] = LINES[67],
	[262] = LINES[67],
	[263] = LINES[67],
	[264] = LINES[67],
	[265] = LINES[67],
	[266] = LINES[67],
	[267] = LINES[67],
	[268] = LINES[67],
	[269] = LINES[67],
	[270] = LINES[67],
	[271] = LINES[67],
	[272] = LINES[67],
	[273] = LINES[67],
	[274] = LINES[67],
	[275] = LINES[67],
	[276] = LINES[67],
	[277] = LINES[67],
	[278] = LINES[67],
	[279] = LINES[67],
	[280] = LINES[67],
	[281] = LINES[67],
	[282] = LINES[67],
	[283] = LINES[67],
	[284] = LINES[67],
	[285] = LINES[67],
	[286] = LINES[67],
	[287] = LINES[67],
	[288] = LINES[67],
	[289] = LINES[67],
	[290] = LINES[67],
	[291] = LINES[67],
	[292] = LINES[67],
	[293] = LINES[67],
	[294] = LINES[67],
	[295] = LINES[67],
	[296] = LINES[67],
	[297] = LINES[67],
	[298] = LINES[67],
	[299] = LINES[67],
	[300] = LINES[68],
	[301] = LINES[68],
	[302] = LINES[68],
	[303] = LINES[68],
	[304] = LINES[68],
	[305] = LINES[68],
	[306] = LINES[68],
	[307] = LINES[68],
	[308] = LINES[68],
	[309] = LINES[68],
	[310] = LINES[68],
	[311] = LINES[68],
	[312] = LINES[68],
	[313] = LINES[68],
	[314] = LINES[68],
	[315] = LINES[68],
	[316] = LINES[68],
	[317] = LINES[68],
	[318] = LINES[68],
	[319] = LINES[68],
	[320] = LINES[68],
	[321] = LINES[68],
	[322] = LINES[68],
	[323] = LINES[68],
	[324] = LINES[68],
	[325] = LINES[68],
	[326] = LINES[68],
	[327] = LINES[68],
	[328] = LINES[68],
	[329] = LINES[68],
	[330] = LINES[68],
	[331] = LINES[68],
	[332] = LINES[68],
	[333] = LINES[68],
	[334] = LINES[68],
	[335] = LINES[68],
	[336] = LINES[68],
	[337] = LINES[68],
	[338] = LINES[68],
	[339] = LINES[68],
	[340] = LINES[68],
	[341] = LINES[68],
	[342] = LINES[68],
	[343] = LINES[68],
	[344] = LINES[68],
	[345] = LINES[68],
	[346] = LINES[68],
	[347] = LINES[68],
	[348] = LINES[68],
	[349] = LINES[68],
	[350] = LINES[68],
	[351] = LINES[68],
	[352] = LINES[68],
	[353] = LINES[68],
	[354] = LINES[68],
	[355] = LINES[68],
	[356] = LINES[68],
	[357] = LINES[68],
	[358] = LINES[68],
	[359] = LINES[68],
	[360] = LINES[68],
	[361] = LINES[68],
	[362] = LINES[68],
	[363] = LINES[68],
	[364] = LINES[68],
	[365] = LINES[68],
	[366] = LINES[68],
	[367] = LINES[68],
	[368] = LINES[68],
	[369] = LINES[68],
	[370] = LINES[68],
	[371] = LINES[68],
	[372] = LINES[68],
	[373] = LINES[68],
	[374] = LINES[68],
	[375] = LINES[68],
	[376] = LINES[68],
	[377] = LINES[68],
	[378] = LINES[68],
	[379] = LINES[68],
	[380] = LINES[68],
	[381] = LINES[68],
	[382] = LINES[68],
	[383] = LINES[68],
	[384] = LINES[68],
	[385] = LINES[68],
	[386] = LINES[68],
	[387] = LINES[68],
	[388] = LINES[68],
	[389] = LINES[68],
	[390] = LINES[68],
	[391] = LINES[68],
	[392] = LINES[68],
	[393] = LINES[68],
	[394] = LINES[68],
	[395] = LINES[68],
	[396] = LINES[68],
	[397] = LINES[68],
	[398] = LINES[68],
	[399] = LINES[68],
	[400] = LINES[68]
}
P.DE_UNCOMMON_ARMOR = {
	[1] = LINES[69],
	[2] = LINES[69],
	[3] = LINES[69],
	[4] = LINES[69],
	[5] = LINES[69],
	[6] = LINES[69],
	[7] = LINES[69],
	[8] = LINES[69],
	[9] = LINES[69],
	[10] = LINES[69],
	[11] = LINES[69],
	[12] = LINES[69],
	[13] = LINES[69],
	[14] = LINES[69],
	[15] = LINES[69],
	[16] = LINES[70],
	[17] = LINES[70],
	[18] = LINES[70],
	[19] = LINES[70],
	[20] = LINES[70],
	[21] = LINES[71],
	[22] = LINES[71],
	[23] = LINES[71],
	[24] = LINES[71],
	[25] = LINES[71],
	[26] = LINES[72],
	[27] = LINES[72],
	[28] = LINES[72],
	[29] = LINES[72],
	[30] = LINES[72],
	[31] = LINES[73],
	[32] = LINES[73],
	[33] = LINES[73],
	[34] = LINES[73],
	[35] = LINES[73],
	[36] = LINES[74],
	[37] = LINES[74],
	[38] = LINES[74],
	[39] = LINES[74],
	[40] = LINES[74],
	[41] = LINES[75],
	[42] = LINES[75],
	[43] = LINES[75],
	[44] = LINES[75],
	[45] = LINES[75],
	[46] = LINES[76],
	[47] = LINES[76],
	[48] = LINES[76],
	[49] = LINES[76],
	[50] = LINES[76],
	[51] = LINES[77],
	[52] = LINES[77],
	[53] = LINES[77],
	[54] = LINES[77],
	[55] = LINES[77],
	[56] = LINES[78],
	[57] = LINES[78],
	[58] = LINES[78],
	[59] = LINES[78],
	[60] = LINES[78],
	[61] = LINES[79],
	[62] = LINES[79],
	[63] = LINES[79],
	[64] = LINES[79],
	[65] = LINES[79],
	[66] = LINES[80],
	[67] = LINES[80],
	[68] = LINES[80],
	[69] = LINES[80],
	[70] = LINES[80],
	[71] = LINES[80],
	[72] = LINES[80],
	[73] = LINES[80],
	[74] = LINES[80],
	[75] = LINES[80],
	[76] = LINES[80],
	[77] = LINES[80],
	[78] = LINES[80],
	[79] = LINES[80],
	[80] = LINES[80],
	[81] = LINES[80],
	[82] = LINES[80],
	[83] = LINES[80],
	[84] = LINES[80],
	[85] = LINES[80],
	[86] = LINES[80],
	[87] = LINES[80],
	[88] = LINES[80],
	[89] = LINES[80],
	[90] = LINES[80],
	[91] = LINES[80],
	[92] = LINES[80],
	[93] = LINES[80],
	[94] = LINES[80],
	[95] = LINES[80],
	[96] = LINES[80],
	[97] = LINES[80],
	[98] = LINES[80],
	[99] = LINES[80],
	[100] = LINES[81],
	[101] = LINES[81],
	[102] = LINES[81],
	[103] = LINES[81],
	[104] = LINES[81],
	[105] = LINES[81],
	[106] = LINES[81],
	[107] = LINES[81],
	[108] = LINES[81],
	[109] = LINES[81],
	[110] = LINES[81],
	[111] = LINES[81],
	[112] = LINES[81],
	[113] = LINES[81],
	[114] = LINES[81],
	[115] = LINES[81],
	[116] = LINES[81],
	[117] = LINES[81],
	[118] = LINES[81],
	[119] = LINES[81],
	[120] = LINES[81],
	[121] = LINES[82],
	[122] = LINES[82],
	[123] = LINES[82],
	[124] = LINES[82],
	[125] = LINES[82],
	[126] = LINES[82],
	[127] = LINES[82],
	[128] = LINES[82],
	[129] = LINES[82],
	[130] = LINES[82],
	[131] = LINES[82],
	[132] = LINES[82],
	[133] = LINES[82],
	[134] = LINES[82],
	[135] = LINES[82],
	[136] = LINES[82],
	[137] = LINES[82],
	[138] = LINES[82],
	[139] = LINES[82],
	[140] = LINES[82],
	[141] = LINES[82],
	[142] = LINES[82],
	[143] = LINES[82],
	[144] = LINES[82],
	[145] = LINES[82],
	[146] = LINES[82],
	[147] = LINES[82],
	[148] = LINES[82],
	[149] = LINES[82],
	[150] = LINES[82],
	[151] = LINES[82],
	[152] = LINES[83],
	[153] = LINES[83],
	[154] = LINES[83],
	[155] = LINES[83],
	[156] = LINES[83],
	[157] = LINES[83],
	[158] = LINES[83],
	[159] = LINES[83],
	[160] = LINES[83],
	[161] = LINES[83],
	[162] = LINES[83],
	[163] = LINES[83],
	[164] = LINES[83],
	[165] = LINES[83],
	[166] = LINES[83],
	[167] = LINES[83],
	[168] = LINES[83],
	[169] = LINES[83],
	[170] = LINES[83],
	[171] = LINES[83],
	[172] = LINES[83],
	[173] = LINES[83],
	[174] = LINES[83],
	[175] = LINES[83],
	[176] = LINES[83],
	[177] = LINES[83],
	[178] = LINES[83],
	[179] = LINES[83],
	[180] = LINES[83],
	[181] = LINES[83],
	[182] = LINES[83],
	[183] = LINES[83],
	[184] = LINES[83],
	[185] = LINES[83],
	[186] = LINES[83],
	[187] = LINES[83],
	[188] = LINES[83],
	[189] = LINES[83],
	[190] = LINES[83],
	[191] = LINES[83],
	[192] = LINES[83],
	[193] = LINES[83],
	[194] = LINES[83],
	[195] = LINES[83],
	[196] = LINES[83],
	[197] = LINES[83],
	[198] = LINES[83],
	[199] = LINES[83],
	[200] = LINES[83],
	[201] = LINES[84],
	[202] = LINES[84],
	[203] = LINES[84],
	[204] = LINES[84],
	[205] = LINES[84],
	[206] = LINES[84],
	[207] = LINES[84],
	[208] = LINES[84],
	[209] = LINES[84],
	[210] = LINES[84],
	[211] = LINES[84],
	[212] = LINES[84],
	[213] = LINES[84],
	[214] = LINES[84],
	[215] = LINES[84],
	[216] = LINES[84],
	[217] = LINES[84],
	[218] = LINES[84],
	[219] = LINES[84],
	[220] = LINES[84],
	[221] = LINES[84],
	[222] = LINES[84],
	[223] = LINES[84],
	[224] = LINES[84],
	[225] = LINES[84],
	[226] = LINES[84],
	[227] = LINES[84],
	[228] = LINES[84],
	[229] = LINES[84],
	[230] = LINES[84],
	[231] = LINES[84],
	[232] = LINES[84],
	[233] = LINES[84],
	[234] = LINES[84],
	[235] = LINES[84],
	[236] = LINES[84],
	[237] = LINES[84],
	[238] = LINES[84],
	[239] = LINES[84],
	[240] = LINES[84],
	[241] = LINES[84],
	[242] = LINES[84],
	[243] = LINES[84],
	[244] = LINES[84],
	[245] = LINES[84],
	[246] = LINES[84],
	[247] = LINES[84],
	[248] = LINES[84],
	[249] = LINES[84],
	[250] = LINES[84],
	[251] = LINES[84],
	[252] = LINES[84],
	[253] = LINES[84],
	[254] = LINES[84],
	[255] = LINES[84],
	[256] = LINES[84],
	[257] = LINES[84],
	[258] = LINES[84],
	[259] = LINES[84],
	[260] = LINES[84],
	[261] = LINES[84],
	[262] = LINES[84],
	[263] = LINES[84],
	[264] = LINES[84],
	[265] = LINES[84],
	[266] = LINES[84],
	[267] = LINES[84],
	[268] = LINES[84],
	[269] = LINES[84],
	[270] = LINES[84],
	[271] = LINES[84],
	[272] = LINES[84],
	[273] = LINES[84],
	[274] = LINES[84],
	[275] = LINES[84],
	[276] = LINES[84],
	[277] = LINES[84],
	[278] = LINES[84],
	[279] = LINES[84],
	[280] = LINES[84],
	[281] = LINES[84],
	[282] = LINES[84],
	[283] = LINES[84],
	[284] = LINES[84],
	[285] = LINES[84],
	[286] = LINES[84],
	[287] = LINES[84],
	[288] = LINES[84],
	[289] = LINES[84],
	[290] = LINES[84],
	[291] = LINES[84],
	[292] = LINES[84],
	[293] = LINES[84],
	[294] = LINES[84],
	[295] = LINES[84],
	[296] = LINES[84],
	[297] = LINES[84],
	[298] = LINES[84],
	[299] = LINES[84],
	[300] = LINES[84],
	[301] = LINES[84],
	[302] = LINES[84],
	[303] = LINES[84],
	[304] = LINES[84],
	[305] = LINES[84],
	[306] = LINES[85],
	[307] = LINES[85],
	[308] = LINES[85],
	[309] = LINES[85],
	[310] = LINES[85],
	[311] = LINES[85],
	[312] = LINES[85],
	[313] = LINES[85],
	[314] = LINES[85],
	[315] = LINES[85],
	[316] = LINES[85],
	[317] = LINES[85],
	[318] = LINES[85],
	[319] = LINES[85],
	[320] = LINES[85],
	[321] = LINES[85],
	[322] = LINES[85],
	[323] = LINES[85],
	[324] = LINES[85],
	[325] = LINES[85],
	[326] = LINES[86],
	[327] = LINES[86],
	[328] = LINES[86],
	[329] = LINES[86],
	[330] = LINES[86],
	[331] = LINES[86],
	[332] = LINES[86],
	[333] = LINES[86],
	[334] = LINES[86],
	[335] = LINES[86],
	[336] = LINES[86],
	[337] = LINES[86],
	[338] = LINES[86],
	[339] = LINES[86],
	[340] = LINES[86],
	[341] = LINES[86],
	[342] = LINES[86],
	[343] = LINES[86],
	[344] = LINES[86],
	[345] = LINES[86],
	[346] = LINES[86],
	[347] = LINES[86],
	[348] = LINES[86],
	[349] = LINES[86],
	[350] = LINES[86],
	[351] = LINES[86],
	[352] = LINES[86],
	[353] = LINES[86],
	[354] = LINES[86],
	[355] = LINES[86],
	[356] = LINES[86],
	[357] = LINES[86],
	[358] = LINES[86],
	[359] = LINES[86],
	[360] = LINES[86],
	[361] = LINES[86],
	[362] = LINES[86],
	[363] = LINES[86],
	[364] = LINES[86],
	[365] = LINES[86],
	[366] = LINES[86],
	[367] = LINES[86],
	[368] = LINES[86],
	[369] = LINES[86],
	[370] = LINES[86],
	[371] = LINES[86],
	[372] = LINES[86],
	[373] = LINES[86],
	[374] = LINES[86],
	[375] = LINES[86],
	[376] = LINES[86],
	[377] = LINES[86],
	[378] = LINES[86],
	[379] = LINES[86],
	[380] = LINES[86],
	[381] = LINES[86],
	[382] = LINES[86],
	[383] = LINES[86],
	[384] = LINES[86],
	[385] = LINES[86],
	[386] = LINES[86],
	[387] = LINES[86],
	[388] = LINES[86],
	[389] = LINES[86],
	[390] = LINES[86],
	[391] = LINES[86],
	[392] = LINES[86],
	[393] = LINES[86],
	[394] = LINES[86],
	[395] = LINES[86],
	[396] = LINES[86],
	[397] = LINES[86],
	[398] = LINES[86],
	[399] = LINES[86],
	[400] = LINES[86]
}
P.DE_RARE_ARMOR = {
	[1] = LINES[48],
	[2] = LINES[48],
	[3] = LINES[48],
	[4] = LINES[48],
	[5] = LINES[48],
	[6] = LINES[48],
	[7] = LINES[48],
	[8] = LINES[48],
	[9] = LINES[48],
	[10] = LINES[48],
	[11] = LINES[48],
	[12] = LINES[48],
	[13] = LINES[48],
	[14] = LINES[48],
	[15] = LINES[48],
	[16] = LINES[48],
	[17] = LINES[48],
	[18] = LINES[48],
	[19] = LINES[48],
	[20] = LINES[48],
	[21] = LINES[48],
	[22] = LINES[48],
	[23] = LINES[48],
	[24] = LINES[48],
	[25] = LINES[48],
	[26] = LINES[49],
	[27] = LINES[49],
	[28] = LINES[49],
	[29] = LINES[49],
	[30] = LINES[49],
	[31] = LINES[50],
	[32] = LINES[50],
	[33] = LINES[50],
	[34] = LINES[50],
	[35] = LINES[50],
	[36] = LINES[51],
	[37] = LINES[51],
	[38] = LINES[51],
	[39] = LINES[51],
	[40] = LINES[51],
	[41] = LINES[52],
	[42] = LINES[52],
	[43] = LINES[52],
	[44] = LINES[52],
	[45] = LINES[52],
	[46] = LINES[53],
	[47] = LINES[53],
	[48] = LINES[53],
	[49] = LINES[53],
	[50] = LINES[53],
	[51] = LINES[54],
	[52] = LINES[54],
	[53] = LINES[54],
	[54] = LINES[54],
	[55] = LINES[54],
	[56] = LINES[55],
	[57] = LINES[55],
	[58] = LINES[55],
	[59] = LINES[55],
	[60] = LINES[55],
	[61] = LINES[55],
	[62] = LINES[55],
	[63] = LINES[55],
	[64] = LINES[55],
	[65] = LINES[55],
	[66] = LINES[56],
	[67] = LINES[56],
	[68] = LINES[56],
	[69] = LINES[56],
	[70] = LINES[56],
	[71] = LINES[56],
	[72] = LINES[56],
	[73] = LINES[56],
	[74] = LINES[56],
	[75] = LINES[56],
	[76] = LINES[56],
	[77] = LINES[56],
	[78] = LINES[56],
	[79] = LINES[56],
	[80] = LINES[56],
	[81] = LINES[56],
	[82] = LINES[56],
	[83] = LINES[56],
	[84] = LINES[56],
	[85] = LINES[56],
	[86] = LINES[56],
	[87] = LINES[56],
	[88] = LINES[56],
	[89] = LINES[56],
	[90] = LINES[56],
	[91] = LINES[56],
	[92] = LINES[56],
	[93] = LINES[56],
	[94] = LINES[56],
	[95] = LINES[56],
	[96] = LINES[56],
	[97] = LINES[56],
	[98] = LINES[56],
	[99] = LINES[56],
	[100] = LINES[57],
	[101] = LINES[57],
	[102] = LINES[57],
	[103] = LINES[57],
	[104] = LINES[57],
	[105] = LINES[57],
	[106] = LINES[57],
	[107] = LINES[57],
	[108] = LINES[57],
	[109] = LINES[57],
	[110] = LINES[57],
	[111] = LINES[57],
	[112] = LINES[57],
	[113] = LINES[57],
	[114] = LINES[57],
	[115] = LINES[57],
	[116] = LINES[57],
	[117] = LINES[57],
	[118] = LINES[57],
	[119] = LINES[57],
	[120] = LINES[57],
	[121] = LINES[58],
	[122] = LINES[58],
	[123] = LINES[58],
	[124] = LINES[58],
	[125] = LINES[58],
	[126] = LINES[58],
	[127] = LINES[58],
	[128] = LINES[58],
	[129] = LINES[58],
	[130] = LINES[58],
	[131] = LINES[58],
	[132] = LINES[58],
	[133] = LINES[58],
	[134] = LINES[58],
	[135] = LINES[58],
	[136] = LINES[58],
	[137] = LINES[58],
	[138] = LINES[58],
	[139] = LINES[58],
	[140] = LINES[58],
	[141] = LINES[58],
	[142] = LINES[58],
	[143] = LINES[58],
	[144] = LINES[58],
	[145] = LINES[58],
	[146] = LINES[58],
	[147] = LINES[58],
	[148] = LINES[58],
	[149] = LINES[58],
	[150] = LINES[58],
	[151] = LINES[58],
	[152] = LINES[58],
	[153] = LINES[58],
	[154] = LINES[58],
	[155] = LINES[58],
	[156] = LINES[58],
	[157] = LINES[58],
	[158] = LINES[58],
	[159] = LINES[58],
	[160] = LINES[58],
	[161] = LINES[58],
	[162] = LINES[58],
	[163] = LINES[58],
	[164] = LINES[58],
	[165] = LINES[59],
	[166] = LINES[59],
	[167] = LINES[59],
	[168] = LINES[59],
	[169] = LINES[59],
	[170] = LINES[59],
	[171] = LINES[59],
	[172] = LINES[59],
	[173] = LINES[59],
	[174] = LINES[59],
	[175] = LINES[59],
	[176] = LINES[59],
	[177] = LINES[59],
	[178] = LINES[59],
	[179] = LINES[59],
	[180] = LINES[59],
	[181] = LINES[59],
	[182] = LINES[59],
	[183] = LINES[59],
	[184] = LINES[59],
	[185] = LINES[59],
	[186] = LINES[59],
	[187] = LINES[59],
	[188] = LINES[59],
	[189] = LINES[59],
	[190] = LINES[59],
	[191] = LINES[59],
	[192] = LINES[59],
	[193] = LINES[59],
	[194] = LINES[59],
	[195] = LINES[59],
	[196] = LINES[59],
	[197] = LINES[59],
	[198] = LINES[59],
	[199] = LINES[59],
	[200] = LINES[59],
	[201] = LINES[60],
	[202] = LINES[60],
	[203] = LINES[60],
	[204] = LINES[60],
	[205] = LINES[60],
	[206] = LINES[60],
	[207] = LINES[60],
	[208] = LINES[60],
	[209] = LINES[60],
	[210] = LINES[60],
	[211] = LINES[60],
	[212] = LINES[60],
	[213] = LINES[60],
	[214] = LINES[60],
	[215] = LINES[60],
	[216] = LINES[60],
	[217] = LINES[60],
	[218] = LINES[60],
	[219] = LINES[60],
	[220] = LINES[60],
	[221] = LINES[60],
	[222] = LINES[60],
	[223] = LINES[60],
	[224] = LINES[60],
	[225] = LINES[60],
	[226] = LINES[60],
	[227] = LINES[60],
	[228] = LINES[60],
	[229] = LINES[60],
	[230] = LINES[60],
	[231] = LINES[60],
	[232] = LINES[60],
	[233] = LINES[60],
	[234] = LINES[60],
	[235] = LINES[60],
	[236] = LINES[60],
	[237] = LINES[60],
	[238] = LINES[60],
	[239] = LINES[60],
	[240] = LINES[60],
	[241] = LINES[60],
	[242] = LINES[60],
	[243] = LINES[60],
	[244] = LINES[60],
	[245] = LINES[60],
	[246] = LINES[60],
	[247] = LINES[60],
	[248] = LINES[60],
	[249] = LINES[60],
	[250] = LINES[60],
	[251] = LINES[60],
	[252] = LINES[60],
	[253] = LINES[60],
	[254] = LINES[60],
	[255] = LINES[60],
	[256] = LINES[60],
	[257] = LINES[60],
	[258] = LINES[60],
	[259] = LINES[60],
	[260] = LINES[60],
	[261] = LINES[60],
	[262] = LINES[60],
	[263] = LINES[60],
	[264] = LINES[60],
	[265] = LINES[60],
	[266] = LINES[60],
	[267] = LINES[60],
	[268] = LINES[60],
	[269] = LINES[60],
	[270] = LINES[60],
	[271] = LINES[60],
	[272] = LINES[60],
	[273] = LINES[60],
	[274] = LINES[60],
	[275] = LINES[60],
	[276] = LINES[60],
	[277] = LINES[60],
	[278] = LINES[60],
	[279] = LINES[60],
	[280] = LINES[60],
	[281] = LINES[60],
	[282] = LINES[60],
	[283] = LINES[60],
	[284] = LINES[60],
	[285] = LINES[60],
	[286] = LINES[60],
	[287] = LINES[60],
	[288] = LINES[60],
	[289] = LINES[60],
	[290] = LINES[60],
	[291] = LINES[60],
	[292] = LINES[60],
	[293] = LINES[60],
	[294] = LINES[60],
	[295] = LINES[60],
	[296] = LINES[60],
	[297] = LINES[60],
	[298] = LINES[60],
	[299] = LINES[60],
	[300] = LINES[60],
	[301] = LINES[60],
	[302] = LINES[60],
	[303] = LINES[60],
	[304] = LINES[60],
	[305] = LINES[60],
	[306] = LINES[60],
	[307] = LINES[60],
	[308] = LINES[60],
	[309] = LINES[60],
	[310] = LINES[60],
	[311] = LINES[60],
	[312] = LINES[60],
	[313] = LINES[60],
	[314] = LINES[60],
	[315] = LINES[60],
	[316] = LINES[60],
	[317] = LINES[61],
	[318] = LINES[61],
	[319] = LINES[61],
	[320] = LINES[61],
	[321] = LINES[61],
	[322] = LINES[61],
	[323] = LINES[61],
	[324] = LINES[61],
	[325] = LINES[61],
	[326] = LINES[61],
	[327] = LINES[61],
	[328] = LINES[61],
	[329] = LINES[61],
	[330] = LINES[61],
	[331] = LINES[61],
	[332] = LINES[61],
	[333] = LINES[61],
	[334] = LINES[61],
	[335] = LINES[61],
	[336] = LINES[61],
	[337] = LINES[61],
	[338] = LINES[61],
	[339] = LINES[61],
	[340] = LINES[61],
	[341] = LINES[61],
	[342] = LINES[61],
	[343] = LINES[61],
	[344] = LINES[61],
	[345] = LINES[61],
	[346] = LINES[61],
	[347] = LINES[61],
	[348] = LINES[61],
	[349] = LINES[61],
	[350] = LINES[61],
	[351] = LINES[61],
	[352] = LINES[61],
	[353] = LINES[61],
	[354] = LINES[61],
	[355] = LINES[61],
	[356] = LINES[61],
	[357] = LINES[61],
	[358] = LINES[61],
	[359] = LINES[61],
	[360] = LINES[61],
	[361] = LINES[61],
	[362] = LINES[61],
	[363] = LINES[61],
	[364] = LINES[61],
	[365] = LINES[61],
	[366] = LINES[61],
	[367] = LINES[61],
	[368] = LINES[61],
	[369] = LINES[61],
	[370] = LINES[61],
	[371] = LINES[61],
	[372] = LINES[61],
	[373] = LINES[61],
	[374] = LINES[61],
	[375] = LINES[61],
	[376] = LINES[61],
	[377] = LINES[61],
	[378] = LINES[61],
	[379] = LINES[61],
	[380] = LINES[61],
	[381] = LINES[61],
	[382] = LINES[61],
	[383] = LINES[61],
	[384] = LINES[61],
	[385] = LINES[61],
	[386] = LINES[61],
	[387] = LINES[61],
	[388] = LINES[61],
	[389] = LINES[61],
	[390] = LINES[61],
	[391] = LINES[61],
	[392] = LINES[61],
	[393] = LINES[61],
	[394] = LINES[61],
	[395] = LINES[61],
	[396] = LINES[61],
	[397] = LINES[61],
	[398] = LINES[61],
	[399] = LINES[61],
	[400] = LINES[61]
}
P.DE_EPIC_ARMOR = {
	[1] = LINES[62],
	[2] = LINES[62],
	[3] = LINES[62],
	[4] = LINES[62],
	[5] = LINES[62],
	[6] = LINES[62],
	[7] = LINES[62],
	[8] = LINES[62],
	[9] = LINES[62],
	[10] = LINES[62],
	[11] = LINES[62],
	[12] = LINES[62],
	[13] = LINES[62],
	[14] = LINES[62],
	[15] = LINES[62],
	[16] = LINES[62],
	[17] = LINES[62],
	[18] = LINES[62],
	[19] = LINES[62],
	[20] = LINES[62],
	[21] = LINES[62],
	[22] = LINES[62],
	[23] = LINES[62],
	[24] = LINES[62],
	[25] = LINES[62],
	[26] = LINES[62],
	[27] = LINES[62],
	[28] = LINES[62],
	[29] = LINES[62],
	[30] = LINES[62],
	[31] = LINES[62],
	[32] = LINES[62],
	[33] = LINES[62],
	[34] = LINES[62],
	[35] = LINES[62],
	[36] = LINES[62],
	[37] = LINES[62],
	[38] = LINES[62],
	[39] = LINES[62],
	[40] = LINES[62],
	[41] = LINES[62],
	[42] = LINES[62],
	[43] = LINES[62],
	[44] = LINES[62],
	[45] = LINES[62],
	[46] = LINES[63],
	[47] = LINES[63],
	[48] = LINES[63],
	[49] = LINES[63],
	[50] = LINES[63],
	[51] = LINES[64],
	[52] = LINES[64],
	[53] = LINES[64],
	[54] = LINES[64],
	[55] = LINES[64],
	[56] = LINES[65],
	[57] = LINES[65],
	[58] = LINES[65],
	[59] = LINES[65],
	[60] = LINES[65],
	[61] = LINES[65],
	[62] = LINES[65],
	[63] = LINES[65],
	[64] = LINES[65],
	[65] = LINES[65],
	[66] = LINES[65],
	[67] = LINES[65],
	[68] = LINES[65],
	[69] = LINES[65],
	[70] = LINES[65],
	[71] = LINES[65],
	[72] = LINES[65],
	[73] = LINES[65],
	[74] = LINES[65],
	[75] = LINES[65],
	[76] = LINES[65],
	[77] = LINES[65],
	[78] = LINES[65],
	[79] = LINES[65],
	[80] = LINES[65],
	[81] = LINES[65],
	[82] = LINES[65],
	[83] = LINES[65],
	[84] = LINES[65],
	[85] = LINES[65],
	[86] = LINES[65],
	[87] = LINES[65],
	[88] = LINES[65],
	[89] = LINES[65],
	[90] = LINES[65],
	[91] = LINES[65],
	[92] = LINES[65],
	[93] = LINES[65],
	[94] = LINES[65],
	[95] = LINES[66],
	[96] = LINES[66],
	[97] = LINES[66],
	[98] = LINES[66],
	[99] = LINES[66],
	[100] = LINES[66],
	[101] = LINES[66],
	[102] = LINES[66],
	[103] = LINES[66],
	[104] = LINES[66],
	[105] = LINES[66],
	[106] = LINES[66],
	[107] = LINES[66],
	[108] = LINES[66],
	[109] = LINES[66],
	[110] = LINES[66],
	[111] = LINES[66],
	[112] = LINES[66],
	[113] = LINES[66],
	[114] = LINES[66],
	[115] = LINES[66],
	[116] = LINES[66],
	[117] = LINES[66],
	[118] = LINES[66],
	[119] = LINES[66],
	[120] = LINES[66],
	[121] = LINES[66],
	[122] = LINES[66],
	[123] = LINES[66],
	[124] = LINES[66],
	[125] = LINES[66],
	[126] = LINES[66],
	[127] = LINES[66],
	[128] = LINES[66],
	[129] = LINES[66],
	[130] = LINES[66],
	[131] = LINES[66],
	[132] = LINES[66],
	[133] = LINES[66],
	[134] = LINES[66],
	[135] = LINES[66],
	[136] = LINES[66],
	[137] = LINES[66],
	[138] = LINES[66],
	[139] = LINES[66],
	[140] = LINES[66],
	[141] = LINES[66],
	[142] = LINES[66],
	[143] = LINES[66],
	[144] = LINES[66],
	[145] = LINES[66],
	[146] = LINES[66],
	[147] = LINES[66],
	[148] = LINES[66],
	[149] = LINES[66],
	[150] = LINES[66],
	[151] = LINES[66],
	[152] = LINES[66],
	[153] = LINES[66],
	[154] = LINES[66],
	[155] = LINES[66],
	[156] = LINES[66],
	[157] = LINES[66],
	[158] = LINES[66],
	[159] = LINES[66],
	[160] = LINES[66],
	[161] = LINES[66],
	[162] = LINES[66],
	[163] = LINES[66],
	[164] = LINES[66],
	[165] = LINES[67],
	[166] = LINES[67],
	[167] = LINES[67],
	[168] = LINES[67],
	[169] = LINES[67],
	[170] = LINES[67],
	[171] = LINES[67],
	[172] = LINES[67],
	[173] = LINES[67],
	[174] = LINES[67],
	[175] = LINES[67],
	[176] = LINES[67],
	[177] = LINES[67],
	[178] = LINES[67],
	[179] = LINES[67],
	[180] = LINES[67],
	[181] = LINES[67],
	[182] = LINES[67],
	[183] = LINES[67],
	[184] = LINES[67],
	[185] = LINES[67],
	[186] = LINES[67],
	[187] = LINES[67],
	[188] = LINES[67],
	[189] = LINES[67],
	[190] = LINES[67],
	[191] = LINES[67],
	[192] = LINES[67],
	[193] = LINES[67],
	[194] = LINES[67],
	[195] = LINES[67],
	[196] = LINES[67],
	[197] = LINES[67],
	[198] = LINES[67],
	[199] = LINES[67],
	[200] = LINES[67],
	[201] = LINES[67],
	[202] = LINES[67],
	[203] = LINES[67],
	[204] = LINES[67],
	[205] = LINES[67],
	[206] = LINES[67],
	[207] = LINES[67],
	[208] = LINES[67],
	[209] = LINES[67],
	[210] = LINES[67],
	[211] = LINES[67],
	[212] = LINES[67],
	[213] = LINES[67],
	[214] = LINES[67],
	[215] = LINES[67],
	[216] = LINES[67],
	[217] = LINES[67],
	[218] = LINES[67],
	[219] = LINES[67],
	[220] = LINES[67],
	[221] = LINES[67],
	[222] = LINES[67],
	[223] = LINES[67],
	[224] = LINES[67],
	[225] = LINES[67],
	[226] = LINES[67],
	[227] = LINES[67],
	[228] = LINES[67],
	[229] = LINES[67],
	[230] = LINES[67],
	[231] = LINES[67],
	[232] = LINES[67],
	[233] = LINES[67],
	[234] = LINES[67],
	[235] = LINES[67],
	[236] = LINES[67],
	[237] = LINES[67],
	[238] = LINES[67],
	[239] = LINES[67],
	[240] = LINES[67],
	[241] = LINES[67],
	[242] = LINES[67],
	[243] = LINES[67],
	[244] = LINES[67],
	[245] = LINES[67],
	[246] = LINES[67],
	[247] = LINES[67],
	[248] = LINES[67],
	[249] = LINES[67],
	[250] = LINES[67],
	[251] = LINES[67],
	[252] = LINES[67],
	[253] = LINES[67],
	[254] = LINES[67],
	[255] = LINES[67],
	[256] = LINES[67],
	[257] = LINES[67],
	[258] = LINES[67],
	[259] = LINES[67],
	[260] = LINES[67],
	[261] = LINES[67],
	[262] = LINES[67],
	[263] = LINES[67],
	[264] = LINES[67],
	[265] = LINES[67],
	[266] = LINES[67],
	[267] = LINES[67],
	[268] = LINES[67],
	[269] = LINES[67],
	[270] = LINES[67],
	[271] = LINES[67],
	[272] = LINES[67],
	[273] = LINES[67],
	[274] = LINES[67],
	[275] = LINES[67],
	[276] = LINES[67],
	[277] = LINES[67],
	[278] = LINES[67],
	[279] = LINES[67],
	[280] = LINES[67],
	[281] = LINES[67],
	[282] = LINES[67],
	[283] = LINES[67],
	[284] = LINES[67],
	[285] = LINES[67],
	[286] = LINES[67],
	[287] = LINES[67],
	[288] = LINES[67],
	[289] = LINES[67],
	[290] = LINES[67],
	[291] = LINES[67],
	[292] = LINES[67],
	[293] = LINES[67],
	[294] = LINES[67],
	[295] = LINES[67],
	[296] = LINES[67],
	[297] = LINES[67],
	[298] = LINES[67],
	[299] = LINES[67],
	[300] = LINES[68],
	[301] = LINES[68],
	[302] = LINES[68],
	[303] = LINES[68],
	[304] = LINES[68],
	[305] = LINES[68],
	[306] = LINES[68],
	[307] = LINES[68],
	[308] = LINES[68],
	[309] = LINES[68],
	[310] = LINES[68],
	[311] = LINES[68],
	[312] = LINES[68],
	[313] = LINES[68],
	[314] = LINES[68],
	[315] = LINES[68],
	[316] = LINES[68],
	[317] = LINES[68],
	[318] = LINES[68],
	[319] = LINES[68],
	[320] = LINES[68],
	[321] = LINES[68],
	[322] = LINES[68],
	[323] = LINES[68],
	[324] = LINES[68],
	[325] = LINES[68],
	[326] = LINES[68],
	[327] = LINES[68],
	[328] = LINES[68],
	[329] = LINES[68],
	[330] = LINES[68],
	[331] = LINES[68],
	[332] = LINES[68],
	[333] = LINES[68],
	[334] = LINES[68],
	[335] = LINES[68],
	[336] = LINES[68],
	[337] = LINES[68],
	[338] = LINES[68],
	[339] = LINES[68],
	[340] = LINES[68],
	[341] = LINES[68],
	[342] = LINES[68],
	[343] = LINES[68],
	[344] = LINES[68],
	[345] = LINES[68],
	[346] = LINES[68],
	[347] = LINES[68],
	[348] = LINES[68],
	[349] = LINES[68],
	[350] = LINES[68],
	[351] = LINES[68],
	[352] = LINES[68],
	[353] = LINES[68],
	[354] = LINES[68],
	[355] = LINES[68],
	[356] = LINES[68],
	[357] = LINES[68],
	[358] = LINES[68],
	[359] = LINES[68],
	[360] = LINES[68],
	[361] = LINES[68],
	[362] = LINES[68],
	[363] = LINES[68],
	[364] = LINES[68],
	[365] = LINES[68],
	[366] = LINES[68],
	[367] = LINES[68],
	[368] = LINES[68],
	[369] = LINES[68],
	[370] = LINES[68],
	[371] = LINES[68],
	[372] = LINES[68],
	[373] = LINES[68],
	[374] = LINES[68],
	[375] = LINES[68],
	[376] = LINES[68],
	[377] = LINES[68],
	[378] = LINES[68],
	[379] = LINES[68],
	[380] = LINES[68],
	[381] = LINES[68],
	[382] = LINES[68],
	[383] = LINES[68],
	[384] = LINES[68],
	[385] = LINES[68],
	[386] = LINES[68],
	[387] = LINES[68],
	[388] = LINES[68],
	[389] = LINES[68],
	[390] = LINES[68],
	[391] = LINES[68],
	[392] = LINES[68],
	[393] = LINES[68],
	[394] = LINES[68],
	[395] = LINES[68],
	[396] = LINES[68],
	[397] = LINES[68],
	[398] = LINES[68],
	[399] = LINES[68],
	[400] = LINES[68]
}
-- ** END: UNCRAFTING **

P.IMMUTABLE_CONSTANTS = {
	"ENCHANTING_SCROLLS",
	"PROSPECT",
	"MILL",
	"DE_UNCOMMON_ARMOR",
	"DE_RARE_ARMOR",
	"DE_EPIC_ARMOR",
	"DE_UNCOMMON_WEAPON",
	"DE_RARE_WEAPON",
	"DE_EPIC_WEAPON",
}
